## atlas-cpp 0.6.2

=== debian/changelog ===
atlas-cpp (0.6.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbol files (cherry picked from packaging VCS) (Closes: #718711)

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Aug 2014 13:46:43 +0000

atlas-cpp (0.6.2-4) unstable; urgency=low

  * debian/control: updated Standards-Version to 3.9.4 (updated VCS-* fields)
  * debian/libatlas-cpp-0.6-1.symbols: fixed for GCC 4.8 (closes: #701245)
  * debian/control, debian/rules: pulled in doxygen as build-dep only for
    Architecture:all targets.

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Fri, 21 Jun 2013 14:17:11 -0400

atlas-cpp (0.6.2-3) unstable; urgency=low

  * debian/libatlas-cpp-0.6-1.symbols: added more optional symbols
    - fixes a FTBFS with GCC 4.7 (closes: #671948)

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Wed, 30 May 2012 09:46:32 -0400

atlas-cpp (0.6.2-2) unstable; urgency=low

  * 0003-add-protocol-xml-file.patch: add the protocol spec
    - missing spec causes a FTBFS during check phase (closes: #664549)
  * debian/libatlas-cpp-0.6-1.symbols: adjusted for ia64

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Tue, 10 Apr 2012 14:39:02 -0400

atlas-cpp (0.6.2-1) unstable; urgency=low

  * new upstream release
  * new maintainer (Debian games team) (closes: #653950)
  * converted to 3.0 (quilt) source format
  * updated Standards-Version to 3.9.3
  * debian/control: added Vcs- fields
  * regenerate the autotools at build time to fix rpath problems
  * debian/libatlas-cpp-0.6-1.symbols: added
  * added .doc-base files for the -doc package
  * removed unneeded patches
  * added a manpage for the atlas_convert tool
  * added lintian override for multiple DSOs in package
  * added zlib and libbz build dependencies
  * debian/rules: convert to use dh build sequencer
  * use xz compression for packaging
  * moved to debhelper compat level 9, including multi-arch
  * debian/copyright: convert to DEP-5 format

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Sat, 03 Mar 2012 10:39:45 -0500

atlas-cpp (0.6.1-4) unstable; urgency=low

  * debian/libatlas-cpp-0.6-dev.install: Don't install *.la files.
  * debian/control: Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 27 Aug 2009 08:46:37 +0200

atlas-cpp (0.6.1-3) unstable; urgency=low

  * debian/patches/atlas-cpp-gcc44.patch: Added to fix includes
    for GCC 4.4 (Closes: #505123)
  * debian/copyright: Add real copyright statement.
  * debian/watch: Use SourceForge redirector.
  * debian/control: Move libatlas-cpp--dbg to debug section.
  * debian/control: Add Depends: ${misc:Depends} to all packages.
  * debian/control: libatlas-cpp-doc: Fix repeated word 'API'.
  * debian/control: Add Homepage field.
  * debian/control: Updated Standards-Version to 3.8.2.

 -- Michael Koch <konqueror@gmx.de>  Tue, 21 Jul 2009 11:24:40 +0200

atlas-cpp (0.6.1-2) unstable; urgency=low

  * Fix includes for GCC 4.3. Closes: #455323.
  * Updated Standards-Version to 3.7.3.
  * Updated debhelper level to 5.

 -- Michael Koch <konqueror@gmx.de>  Tue, 11 Dec 2007 07:37:45 +0100

atlas-cpp (0.6.1-1) unstable; urgency=low

  * New upstream release
    - Removed debian/patches/atlas-cpp-gcc43.patch. Obsolete.

 -- Michael Koch <konqueror@gmx.de>  Sun, 25 Nov 2007 00:04:29 +0100

atlas-cpp (0.6.0-4) unstable; urgency=low

  * Move *.la files to -dev package. Closes: #452325.

 -- Michael Koch <konqueror@gmx.de>  Fri, 23 Nov 2007 20:34:34 +0100

atlas-cpp (0.6.0-3) unstable; urgency=low

  * Ported debian/rules to CDBS.
  * Added patch to make the package compile with GCC 4.3. Closes: #417110.
  * Replace obsolete ${Source-Version} in debian/control.

 -- Michael Koch <konqueror@gmx.de>  Thu, 28 Jun 2007 12:48:51 -0100

atlas-cpp (0.6.0-2) unstable; urgency=low

  * Upload to unstable.
  * Fix changelog to shut up lintian.

 -- Michael Koch <konqueror@gmx.de>  Mon, 04 Jun 2007 21:08:08 +0200

atlas-cpp (0.6.0-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream release.
    - Changed sonames.
  * Fixed way to create debug info package.
  * Removed extra Build-Depends-Indep on doxygen.
  * Updated Standards-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Wed, 14 Feb 2007 12:07:04 +0000

atlas-cpp (0.5.98-3) unstable; urgency=low

  * Renamed the binary packages again to use the correct name scheme for the
    C++ ABI transition and add the correct conflicts (Closes: #341673).

 -- Michael Koch <konqueror@gmx.de>  Mon, 19 Dec 2005 22:43:03 +0000

atlas-cpp (0.5.98-2) unstable; urgency=low

  * Did the new C++ ABI transition and renamed some packages (Closes: #339151).

 -- Michael Koch <konqueror@gmx.de>  Sat, 26 Nov 2005 15:38:55 +0000

atlas-cpp (0.5.98-1) unstable; urgency=low

  * New upstream release

 -- Michael Koch <konqueror@gmx.de>  Sun,  2 Oct 2005 11:41:44 +0000

atlas-cpp (0.5.97-1) unstable; urgency=low

  * New upstream release

 -- Michael Koch <konqueror@gmx.de>  Sat, 17 Sep 2005 11:27:10 +0000

atlas-cpp (0.5.96-3) unstable; urgency=low

  * Fixed Suggest for libatlas-cpp-doc on libatlas-cpp-0.6-0-dev
  * Added watch file
  * Upload sponsored by Petter Reinholdtsen

 -- Michael Koch <konqueror@gmx.de>  Fri,  9 Sep 2005 05:59:51 +0000

atlas-cpp (0.5.96-2) unstable; urgency=low

  * Include the needed files in libatlas-cpp-0.6-dev package

 -- Michael Koch <konqueror@gmx.de>  Mon,  5 Sep 2005 06:12:03 +0000

atlas-cpp (0.5.96-1) unstable; urgency=low

  * New upstream release
  * Renamed binary packages to match soname
  * debian/rules: Adjusted for new soname
  * Updated address of FSF in debian/copyright
  * Updated Standards-Version to 3.6.2

 -- Michael Koch <konqueror@gmx.de>  Thu,  1 Sep 2005 04:33:44 +0000

atlas-cpp (0.4.94-2) unstable; urgency=low

  * debian/copyright: Added better copyright notice and fixed download URL

 -- Michael Koch <konqueror@gmx.de>  Sun, 25 Jul 2004 18:14:22 +0200

atlas-cpp (0.4.94-1) unstable; urgency=low

  * New upstream release

