=== debian/control ===
Source: atlas-cpp
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libbz2-dev,
               zlib1g-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.4
Homepage: http://www.worldforge.org/
Vcs-Git: git://anonscm.debian.org/pkg-games/atlas-cpp.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-games/atlas-cpp.git

Package: libatlas-cpp-0.6-1
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: World Forge wire protocol library - runtime libs
 This library implements the Atlas protocol, for use in client-server
 game applications.  It can be used in either clients or servers.
 .
 This is the runtime component of the Atlas-C++ toolkit.

Package: libatlas-cpp-0.6-1-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libatlas-cpp-0.6-1 (= ${binary:Version}), ${misc:Depends}
Description: World Forge wire protocol library - debugging libs
 This library implements the Atlas protocol, for use in client-server
 game applications.  It can be used in either clients or servers.
 .
 This is the debugging component of the Atlas-C++ toolkit.

Package: libatlas-cpp-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}
Suggests: libatlas-cpp-0.6-dev (>= ${source:Version})
Description: World Forge wire protocol library - documentation
 This library implements the Atlas protocol, for use in client-server
 game applications.  It can be used in either clients or servers.
 .
 This is the API documentation of the Atlas-C++ toolkit.

Package: libatlas-cpp-0.6-dev
Architecture: any
Section: libdevel
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libatlas-cpp-0.6-1 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libatlas-cpp-0.6-1-dbg (= ${binary:Version}),
          libatlas-cpp-doc (>= ${source:Version})
Conflicts: libatlas-cpp-0.6-0-dev
Replaces: libatlas-cpp-0.6-0-dev
Description: World Forge wire protocol library - developer files
 This library implements the Atlas protocol, for use in client-server
 game applications.  It can be used in either clients or servers.
 .
 This contains the development files needed to compile and link programs
 with the Atlas-C++ toolkit.
