=== debian/watch ===
version=3
http://sf.net/worldforge/Atlas-C\+\+-([\d+\.]+|\d+)\.tar\.bz2 debian
