## atlas-cpp 0.6.3

=== debian/changelog ===
atlas-cpp (0.6.3-2ubuntu1) xenial; urgency=medium

  * Mark additional symbols as optional, missing when built with -O3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 16:57:49 +0100

atlas-cpp (0.6.3-2) unstable; urgency=medium

  * Fix symbols file for multiple architectures (Closes: #800927)
  * Declare Breaks+Replaces (Closes: #800925)
    - Between old -dev and new -tools binary packages

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 04 Oct 2015 21:14:25 -0500

atlas-cpp (0.6.3-1) unstable; urgency=medium

  * New upstream version
  * Incorporate and acknowledge NMU, thanks Tobias Frost
  * Add myself as new uploader
    - Remove Stephen Webb per his request
    - Thanks for all the contributions, Stephen!
  * Update lintian overrides
  * d/copyright: update information
  * d/control: remove pre-dependency on dpkg
  * d/rules: enable parallel build
  * d/rules: remove builddeb override since xz is now default
  * d/watch: update file extensions
  * d/control: tweaks and update standards to 3.9.6 (no changes)
  * Bump SO-name
  * Split tools package from dev package for Multi-Arch sanity

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 27 Sep 2015 01:19:00 -0500

atlas-cpp (0.6.2-5) unstable; urgency=medium

  * Team upload.
  * Rename library package for g++-5 ABI transition, and update symbols
    files. Based on Ubuntu patch by Steve Langasek. (Closes: #777784,
    #790982)

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Aug 2015 21:21:57 +0100
