=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --parallel --with autoreconf
 
 override_dh_install:
 	dh_install --fail-missing -X.la -X.a
@@ -21,7 +21,3 @@
 		dh_strip -p$${pkg} --dbg-package=$${pkg}-dbg; \
 	done
 	dh_strip -s --remaining-packages
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
