=== debian/watch ===
version=3
http://sf.net/worldforge/Atlas-C\+\+-([\d+\.]+|\d+)\.(?:tar\.(?:gz|bz2|xz)) debian uupdate
