## atlas-cpp 0.6.4

=== debian/changelog ===
atlas-cpp (0.6.4-3) unstable; urgency=high

  * Update debhelper compatibility to 13 (no changes)
  * Update standards to 4.5.0 (no changes)
  * Remove d/symbols due to continued instability (Closes: #957017, #893681)

 -- Olek Wojnar <olek@debian.org>  Fri, 31 Jul 2020 21:07:41 -0400

atlas-cpp (0.6.4-2) unstable; urgency=medium

  * Update d/control
    - New uploader email and URLs
    - Standards to 4.2.1 (no changes)
    - Add Rules-Requires-Root declaration
    - Remove dpkg-dev versioned build-depend, higher version in oldoldstable
  * Update d/copyright: refresh Debian info and emails
  * Update d/compat: 11 (no changes)
  * Add d/upstream/metadata: for DEP 12 compliance
  * Update d/rules: migration complete, remove dbgsym-migration flag
  * Update d/symbols for GCC-8

 -- Olek Wojnar <olekw.dev@gmail.com>  Sun, 14 Oct 2018 15:04:54 -0400

atlas-cpp (0.6.4-1) experimental; urgency=medium

  * New Upstream version
   - Update d/copyright
   - Bump SO-name and update:
     + d/control
     + d/package.install
     + d/package.lintian-overrides
     + d/package.symbols

  [ Tobias Frost ]
  * Upload to experimental.

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 31 Dec 2017 19:45:39 -0500

atlas-cpp (0.6.3-4) unstable; urgency=medium

  * Update d/symbols for GCC 7 (Closes: #853323)
  * Update standards to 4.1.3
    - d/control: document new standards version
    - d/copyright: use https in Format field
    - d/watch: use https
  * Update dh compat to 10
    - Update d/rules
    - Remove unnecessary ldconfig trigger
  * Update d/copyright for ./debian directory

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 15 Oct 2017 13:30:49 -0500

atlas-cpp (0.6.3-3) unstable; urgency=medium

  * Integrate symbol fix from Ubuntu, thanks Matthias Klose
  * Fix symbols for GCC6 (Closes: #811982)
  * Update d/control
    - Standards-Version to 3.9.8 (no changes)
    - Update Vcs lines for secure URIs
  * Enable all hardening options
  * Update d/copyright
  * Add ldconfig trigger
  * Convert to automatic debug package

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 03 Jul 2016 14:11:04 -0400
