=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_missing:
	dh_missing -X.la -X.a

override_dh_auto_build-indep:
	$(MAKE) docs

override_dh_auto_test-indep:

override_dh_auto_clean:
	rm -rf doc/*
	dh_auto_clean
