=== debian/watch ===
version=4
https://sf.net/worldforge/Atlas-C\+\+-([\d+\.]+|\d+)\.(?:tar\.(?:gz|bz2|xz)) debian uupdate
